import { EventDefinition, HttpClient } from '@wix/sdk-types';
import { CreateOrReplaceAllRulesOptions, CreateOrReplaceAllRulesResponse, GroupRulesUpdatedEnvelope, ListRulesResponse } from './social-groups-v2-group-rules-rules.universal.js';
export declare const __metadata: {
    PACKAGE_NAME: string;
};
export declare function listRules(httpClient: HttpClient): ListRulesSignature;
interface ListRulesSignature {
    /**
     * Retrieves a group's rules.
     *
     * >**Note:**
     * >This endpoint requires [visitor or member authentication](https://dev.wix.com/docs/rest/articles/getting-started/access-types-and-permissions).
     * @param - Group ID.
     */
    (groupId: string): Promise<ListRulesResponse>;
}
export declare function createOrReplaceAllRules(httpClient: HttpClient): CreateOrReplaceAllRulesSignature;
interface CreateOrReplaceAllRulesSignature {
    /**
     * Creates rules if no rules have been set up. Otherwise, replaces all existing rules.
     *
     * > **Notes:**
     * > + Only group admins can create or replace rules.
     * > + This endpoint requires [visitor or member authentication](https://dev.wix.com/docs/rest/articles/getting-started/access-types-and-permissions).
     * @param - Group ID.
     */
    (groupId: string, options?: CreateOrReplaceAllRulesOptions | undefined): Promise<CreateOrReplaceAllRulesResponse>;
}
export declare const onGroupRulesUpdated: EventDefinition<GroupRulesUpdatedEnvelope, "wix.social_groups.v2.group_rules_updated">;
export { ActionEvent, BaseEventMetadata, CreateOrReplaceAllRulesOptions, CreateOrReplaceAllRulesRequest, CreateOrReplaceAllRulesResponse, DomainEvent, DomainEventBodyOneOf, Empty, EntityCreatedEvent, EntityDeletedEvent, EntityUpdatedEvent, EventMetadata, GroupRule, GroupRules, GroupRulesUpdatedEnvelope, IdentificationData, IdentificationDataIdOneOf, ListRulesRequest, ListRulesResponse, ListTemplatesResponse, MessageEnvelope, RestoreInfo, WebhookIdentityType, } from './social-groups-v2-group-rules-rules.universal.js';
