import { RequestOptionsFactory } from '@wix/sdk-types';
/**
 * Retrieves a group's rules.
 *
 * >**Note:**
 * >This endpoint requires [visitor or member authentication](https://dev.wix.com/docs/rest/articles/getting-started/access-types-and-permissions).
 */
export declare function listRules(payload: object): RequestOptionsFactory<any>;
/**
 * Creates rules if no rules have been set up. Otherwise, replaces all existing rules.
 *
 * > **Notes:**
 * > + Only group admins can create or replace rules.
 * > + This endpoint requires [visitor or member authentication](https://dev.wix.com/docs/rest/articles/getting-started/access-types-and-permissions).
 */
export declare function createOrReplaceAllRules(payload: object): RequestOptionsFactory<any>;
