import { renameKeysFromRESTResponseToSDKResponse } from '@wix/sdk-runtime/rename-all-nested-keys';
import { transformRESTTimestampToSDKTimestamp } from '@wix/sdk-runtime/transformations/timestamp';
import { transformPaths } from '@wix/sdk-runtime/transformations/transform-paths';
import { EventDefinition } from '@wix/sdk-types';
import { createOrReplaceAllRules as universalCreateOrReplaceAllRules, listRules as universalListRules, } from './social-groups-v2-group-rules-rules.universal.js';
export const __metadata = { PACKAGE_NAME: '@wix/groups' };
export function listRules(httpClient) {
    return (groupId) => universalListRules(groupId, 
    // @ts-ignore
    { httpClient });
}
export function createOrReplaceAllRules(httpClient) {
    return (groupId, options) => universalCreateOrReplaceAllRules(groupId, options, 
    // @ts-ignore
    { httpClient });
}
export const onGroupRulesUpdated = EventDefinition('wix.social_groups.v2.group_rules_updated', true, (event) => renameKeysFromRESTResponseToSDKResponse(transformPaths(event, [
    {
        transformFn: transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
export { WebhookIdentityType, } from './social-groups-v2-group-rules-rules.universal.js';
//# sourceMappingURL=social-groups-v2-group-rules-rules.public.js.map